/* $Header: lType.c,v 2.1 91/07/11 12:37:39 sinyaw Exp $ */
#include <stdio.h>
#include <X11/X.h>
#include "PEX.h"
#include "PEXprotost.h"
#include "PEXproto.h"

void
pexpr_line_type( str, type)
	char *str;
	pexEnumTypeIndex type;
{
#define VALID_LINE_TYPE(_T) \
(_T >= PEXLineTypeSolid && _T <= PEXLineTypeDashDot)

	static char *line_types[5] = {
		NULL,
		"Solid",
		"Dashed",
		"Dotted",
		"DashDot"
	};

	if( VALID_LINE_TYPE(type)) {
		(void) fprintf( stderr, "%s: %s\n", str, line_types[type]);
	} else {
		(void) fprintf( stderr, "%s: Invalid\n", str);
	}
#undef VALID_LINE_TYPE
}
