/* $Header: sInterp.c,v 2.1 91/07/11 12:38:14 sinyaw Exp $ */
#include <stdio.h>
#include <X11/X.h>
#include "PEX.h"
#include "PEXprotost.h"
#include "PEXproto.h"

void
pexpr_surf_interp( str, method)
	char *str;
	pexEnumTypeIndex method;
{
#define VALID_SURFACE_INTERP(_M) \
(_M >= PEXSurfaceInterpNone && _M <= PEXSurfaceInterpNormal)

	static char *surf_interp[5] = {
		NULL,
		"None",
		"Colour",
		"DotProduct",
		"Normal"
	};

	if( VALID_SURFACE_INTERP(method)) {
		(void) fprintf( stderr, "%s: %s\n", str, surf_interp[method]);
	} else {
		(void) fprintf( stderr, "%s: Invalid\n", str);
	}
#undef VALID_SURFACE_INTERP
}
